For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Ticket object
          • GET/tickets
          • POST/tickets
          • GET/tickets/{id}
          • PATCH/tickets/{id}
          • GET/tickets/{ticket_id}/viewers
          • GET/tickets/live-search
          • GET/tickets/meta/patch/{id}
          • GET/tickets/meta/post
          • GET/tickets/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTickets

/tickets/live-search

GET
/ticketing/v1/tickets/live-search
GET
/api/ticketing/v1/tickets/live-search
$curl -G https://api.merge.dev/api/ticketing/v1/tickets/live-search \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode remote_fields=priority,status,ticket_type \
> --data-urlencode show_enum_origins=priority,status,ticket_type
200Retrieved
1"string"

Returns a list of Ticket objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tickets/{ticket_id}/viewers

Next

/tickets/meta/patch/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

assignee_idsstringOptional

Filter tickets by assignee IDs (comma-separated)

assigneesstringOptional

Filter tickets by assignee names (comma-separated)

collection_idsstringOptional

Filter tickets by collection IDs (comma-separated)

collectionsstringOptional

Filter tickets by collection names (comma-separated)

include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

namestringOptional

Filter tickets by name/title

remote_cursorstringOptional
Pagination cursor for remote data
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
statusstringOptional
Filter tickets by status
ticket_urlstringOptional
Filter tickets by URL

Response

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more